org.keycloak.storage.ldap.mappers

## Class CertificateLDAPStorageMapperFactory

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapperFactory
  - - org.keycloak.storage.ldap.mappers.UserAttributeLDAPStorageMapperFactory
    - - org.keycloak.storage.ldap.mappers.CertificateLDAPStorageMapperFactory

- All Implemented Interfaces:
    ComponentFactory<LDAPStorageMapper,LDAPStorageMapper>, SubComponentFactory<LDAPStorageMapper,LDAPStorageMapper>, ConfiguredProvider, ProviderFactory<LDAPStorageMapper>, LDAPConfigDecorator, LDAPStorageMapperFactory<LDAPStorageMapper>

      public class CertificateLDAPStorageMapperFactory
      extends UserAttributeLDAPStorageMapperFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.storage.ldap.mappers.UserAttributeLDAPStorageMapperFactory

      `configProperties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateLDAPStorageMapperFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractLDAPStorageMapper` | `createMapper(ComponentModel mapperModel, LDAPStorageProvider federationProvider)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `List<ProviderConfigProperty>` | `getConfigProperties(RealmModel realm, ComponentModel parent)`
    `String` | `getHelpText()`
    `String` | `getId()` This is the name of the provider and will be showed in the admin console as an option.
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel config)` Called before a component is created or updated.

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.UserAttributeLDAPStorageMapperFactory

      `updateLDAPConfig`

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.AbstractLDAPStorageMapperFactory

      `checkMandatoryConfigAttribute, close, create, createConfigProperty, getTypeMetadata, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.storage.ldap.mappers.LDAPStorageMapperFactory

      `onCreate, onParentUpdate`

    - ### Methods inherited from interface org.keycloak.component.SubComponentFactory

      `getTypeMetadata`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CertificateLDAPStorageMapperFactory

          public CertificateLDAPStorageMapperFactory()

  - ### Method Detail

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`
      Specified by:
        `getHelpText` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`
      Overrides:
        `getHelpText` in class `UserAttributeLDAPStorageMapperFactory`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`
      Specified by:
        `getConfigProperties` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`
      Overrides:
        `getConfigProperties` in class `UserAttributeLDAPStorageMapperFactory`

    - #### getId

          public String getId()

      Description copied from interface: `LDAPStorageMapperFactory`
      This is the name of the provider and will be showed in the admin console as an option.
      Specified by:
        `getId` in interface `ProviderFactory<LDAPStorageMapper>`
      Specified by:
        `getId` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`
      Overrides:
        `getId` in class `UserAttributeLDAPStorageMapperFactory`

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel config)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Specified by:
        `validateConfiguration` in interface `ComponentFactory<LDAPStorageMapper,LDAPStorageMapper>`
      Specified by:
        `validateConfiguration` in interface `LDAPStorageMapperFactory<LDAPStorageMapper>`
      Overrides:
        `validateConfiguration` in class `UserAttributeLDAPStorageMapperFactory`
      Throws:
        `ComponentValidationException`

    - #### createMapper

          protected AbstractLDAPStorageMapper createMapper(ComponentModel mapperModel,
                                                           LDAPStorageProvider federationProvider)

      Overrides:
        `createMapper` in class `UserAttributeLDAPStorageMapperFactory`

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties(RealmModel realm,
                                                                  ComponentModel parent)

      Specified by:
        `getConfigProperties` in interface `SubComponentFactory<LDAPStorageMapper,LDAPStorageMapper>`
      Overrides:
        `getConfigProperties` in class `UserAttributeLDAPStorageMapperFactory`

Copyright © 2021 JBoss by Red Hat. All rights reserved.